Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface AnnotationDocument.Annotation

- All Superinterfaces:
    `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `AnnotationDocumentImpl.AnnotationImpl`
  Enclosing interface:
    AnnotationDocument

      public static interface AnnotationDocument.Annotation
      extends OpenAttrs

  An XML annotation(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<AnnotationDocument.Annotation>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AppinfoDocument.Appinfo` | `addNewAppinfo()` | Appends and returns a new empty value (as xml) as the last "appinfo" element
    `DocumentationDocument.Documentation` | `addNewDocumentation()` | Appends and returns a new empty value (as xml) as the last "documentation" element
    `AppinfoDocument.Appinfo[]` | `getAppinfoArray()` | Gets array of all "appinfo" elements
    `AppinfoDocument.Appinfo` | `getAppinfoArray​(int i)` | Gets ith "appinfo" element
    `List<AppinfoDocument.Appinfo>` | `getAppinfoList()` | Gets a List of "appinfo" elements
    `DocumentationDocument.Documentation[]` | `getDocumentationArray()` | Gets array of all "documentation" elements
    `DocumentationDocument.Documentation` | `getDocumentationArray​(int i)` | Gets ith "documentation" element
    `List<DocumentationDocument.Documentation>` | `getDocumentationList()` | Gets a List of "documentation" elements
    `String` | `getId()` | Gets the "id" attribute
    `AppinfoDocument.Appinfo` | `insertNewAppinfo​(int i)` | Inserts and returns a new empty value (as xml) as the ith "appinfo" element
    `DocumentationDocument.Documentation` | `insertNewDocumentation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "documentation" element
    `boolean` | `isSetId()` | True if has "id" attribute
    `void` | `removeAppinfo​(int i)` | Removes the ith "appinfo" element
    `void` | `removeDocumentation​(int i)` | Removes the ith "documentation" element
    `void` | `setAppinfoArray​(int i, AppinfoDocument.Appinfo appinfo)` | Sets ith "appinfo" element
    `void` | `setAppinfoArray​(AppinfoDocument.Appinfo[] appinfoArray)` | Sets array of all "appinfo" element
    `void` | `setDocumentationArray​(int i, DocumentationDocument.Documentation documentation)` | Sets ith "documentation" element
    `void` | `setDocumentationArray​(DocumentationDocument.Documentation[] documentationArray)` | Sets array of all "documentation" element
    `void` | `setId​(String id)` | Sets the "id" attribute
    `int` | `sizeOfAppinfoArray()` | Returns number of "appinfo" element
    `int` | `sizeOfDocumentationArray()` | Returns number of "documentation" element
    `void` | `unsetId()` | Unsets the "id" attribute
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<AnnotationDocument.Annotation> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAppinfoList

          List<AppinfoDocument.Appinfo> getAppinfoList()

      Gets a List of "appinfo" elements

    - #### getAppinfoArray

          AppinfoDocument.Appinfo[] getAppinfoArray()

      Gets array of all "appinfo" elements

    - #### getAppinfoArray

          AppinfoDocument.Appinfo getAppinfoArray​(int i)

      Gets ith "appinfo" element

    - #### sizeOfAppinfoArray

          int sizeOfAppinfoArray()

      Returns number of "appinfo" element

    - #### setAppinfoArray

          void setAppinfoArray​(AppinfoDocument.Appinfo[] appinfoArray)

      Sets array of all "appinfo" element

    - #### setAppinfoArray

          void setAppinfoArray​(int i,
                               AppinfoDocument.Appinfo appinfo)

      Sets ith "appinfo" element

    - #### insertNewAppinfo

          AppinfoDocument.Appinfo insertNewAppinfo​(int i)

      Inserts and returns a new empty value (as xml) as the ith "appinfo" element

    - #### addNewAppinfo

          AppinfoDocument.Appinfo addNewAppinfo()

      Appends and returns a new empty value (as xml) as the last "appinfo" element

    - #### removeAppinfo

          void removeAppinfo​(int i)

      Removes the ith "appinfo" element

    - #### getDocumentationList

          List<DocumentationDocument.Documentation> getDocumentationList()

      Gets a List of "documentation" elements

    - #### getDocumentationArray

          DocumentationDocument.Documentation[] getDocumentationArray()

      Gets array of all "documentation" elements

    - #### getDocumentationArray

          DocumentationDocument.Documentation getDocumentationArray​(int i)

      Gets ith "documentation" element

    - #### sizeOfDocumentationArray

          int sizeOfDocumentationArray()

      Returns number of "documentation" element

    - #### setDocumentationArray

          void setDocumentationArray​(DocumentationDocument.Documentation[] documentationArray)

      Sets array of all "documentation" element

    - #### setDocumentationArray

          void setDocumentationArray​(int i,
                                     DocumentationDocument.Documentation documentation)

      Sets ith "documentation" element

    - #### insertNewDocumentation

          DocumentationDocument.Documentation insertNewDocumentation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "documentation" element

    - #### addNewDocumentation

          DocumentationDocument.Documentation addNewDocumentation()

      Appends and returns a new empty value (as xml) as the last "documentation" element

    - #### removeDocumentation

          void removeDocumentation​(int i)

      Removes the ith "documentation" element

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId​(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute